Packaging - Bug #2123

Package name mismatch: foreman-fog vs foreman-ec2
01/11/2013 06:48 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category:

Target version: 1.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The Debian package for EC2 and Fog support is "foreman-fog", while the RPM package is "foreman-ec2". One of these should
change for consistency in documentation etc. I'd suggest foreman-ec2 is correct, since it's self-explanatory as to what functionality it
adds.

Associated revisions

Revision 3afbd145 - 05/28/2013 05:46 AM - Dominic Cleal
fixes #2106, #2123, #2561 - sign RPMs, rename -ec2 to -compute, fix foreman.repo URLs

Revision 700122c4 - 05/29/2013 08:14 AM - Sam Kottler
Merge remote-tracking branch 'domcleal/rpms’ into develop
e domcleal/rpms:
fixes #2555, #2560 - add foreman-release and MySQL gems to comps

fixes #2106, #2123, #2561 - sign RPMs, rename -ec2 to -compute, fix foreman.repo URLs
fixes #2573 - refresh Fedora 18 comps, don't force SCL

Revision c168e966 - 05/29/2013 11:21 AM - Dominic Cleal
fixes #2106, #2123, #2561 - sign RPMs, rename -ec2 to -compute, fix foreman.repo URLs
(cherry picked from commit 3afbd14599a8f0cc2178df638f4570b68ad441ed)

Conflicts:
extras/packaging/rpm/sources/foreman.repo
foreman.spec

History

#1 - 01/11/2013 08:00 AM - Greg Sutcliffe

| disagree. The fog packages are required for other compute resources (such as libvirt) and it then becomes non-intuitve as to why foreman-libvirt or
foreman-vmware depends on foreman-ec2.

| have no issue with the supported technologies being listed in the description fields (which they are for debs), which is the correct place to list further
information about what the package does.

#2 - 01/11/2013 10:21 AM - Greg Sutcliffe

- Status changed from New to Need more information

#3 - 01/11/2013 10:30 AM - Dominic Cleal

That makes sense, so | think -fog would be better than -ec2. Is "foreman-compute" any clearer?

#4 - 01/11/2013 12:44 PM - Greg Sutcliffe

The only thing it installs is "bundler.d/fog.rb" which only contains the fog gem. So | think it's ideally named as it is :)

#5 - 01/13/2013 02:06 PM - Sam Kottler
I think both packages should be named foreman-compute, but at the very least they should be named the same thing. | think foreman-ec2 isn't a good
name because then I'd expect a foreman-libvirt, foreman-ovirt, foreman-openstack, etc, but those don't exist. As a new user, I'd go for the
foreman-compute package before foreman-fog. Just my $.02.

#6 - 01/14/2013 06:41 AM - Greg Sutcliffe

Ok, i can run with that. I'll make the change in the next round of RC packages. Fortunately debs have an easy way to rename packages as part of an
upgrade :)

#7 - 02/06/2013 09:46 AM - Greg Sutcliffe

Fixed in the deb release. Sam, is your side done?

#8 - 05/09/2013 06:50 AM - Greg Sutcliffe

- Status changed from Need more information to Closed

Closing this, the compute rename was a while back.

#9 - 05/09/2013 06:52 AM - Greg Sutcliffe
- Status changed from Closed to Assigned
- Assignee changed from Greg Sutcliffe to Sam Kottler

- Target version set to 1.2

Re-opening, apparently the rpms haven't been renamed yet.

#10 - 05/24/2013 01:17 PM - Dominic Cleal

- Assignee changed from Sam Kottler to Dominic Cleal

#11 - 05/29/2013 08:17 AM - Sam Kottler
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"700122c429c5d399f676b6ffdc3414ba694ea2e".
